跳到主要内容

查看全球集群 (V2)

Returns base topology and connection information for a Global Cluster. Replication lag is intentionally excluded from this endpoint.

GET/v2/globalClusters/{globalClusterId}
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
globalClusterIdstringpathrequired

要查看的全球集群 ID。

示例值:glo-xxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 - application/json
globalClusterIdstring

全球集群 ID。

示例值:glo-xxxxxxxxxxxxxxx
globalClusterNamestring

全球集群显示名称。

示例值:my-global-cluster
projectIdstring

项目 ID。

示例值:proj-xxxxxxxxxxxxxxx
regionIdsarray

成员集群的区域 ID。取值保留成员顺序且不会去重。

[]regionIdsstring
(待补充)
示例值:aws-us-west-2
cuTypestring

成员集群共享的 CU 类型。

示例值:Performance-optimized
cuSizeinteger

成员集群共享的 CU 大小。

示例值:4
connectAddressstring

全球端点地址。

示例值:https://glo-xxxxxxxx.global-cluster.vectordb.zillizcloud.com
createTimestring<date-time>

ISO 8601 格式的创建时间。

示例值:2026-06-04T10:00:00Z
clustersarray

全球集群中的成员集群。

[]clustersobject
clusterIdstring

成员集群 ID。

示例值:in01-xxxxxxxxxxxxxxx
clusterNamestring

成员集群名称。

示例值:primary-cluster
regionIdstring

成员集群部署的区域 ID。

示例值:aws-us-west-2
rolestring

成员角色。

示例值:PRIMARY
statusstring

成员集群状态。

示例值:RUNNING

返回错误消息。

codeinteger

响应码。

示例值:400
messagestring

错误描述。

示例值:Invalid request parameters.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"globalClusterName": "my-global-cluster",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionIds": [
"ali-cn-hangzhou",
"ali-cn-beijing"
],
"cuType": "Performance-optimized",
"cuSize": 4,
"connectAddress": "https://glo-xxxxxxxx.global-cluster.vectordb.cloud.zilliz.com.cn",
"createTime": "2026-06-04T10:00:00Z",
"clusters": [
{
"clusterId": "in01-primary",
"clusterName": "primary-cluster",
"regionId": "ali-cn-hangzhou",
"role": "PRIMARY",
"status": "RUNNING"
},
{
"clusterId": "in01-secondary",
"clusterName": "secondary-cluster",
"regionId": "ali-cn-beijing",
"role": "SECONDARY",
"status": "RUNNING"
}
]
}